package sun.reflect.generics.tree;

import sun.reflect.generics.visitor.TypeTreeVisitor;

public class TypeVariableSignature implements FieldTypeSignature
{
    private final String identifier;
    
    private TypeVariableSignature(String identifier) {
        this.identifier = identifier;
    }
    
    public static TypeVariableSignature make(String s) {
        return new TypeVariableSignature(s);
    }
    
    public String getIdentifier() {
        return this.identifier;
    }
    
    @Override
    public void accept(TypeTreeVisitor<?> typeTreeVisitor) {
        typeTreeVisitor.visitTypeVariableSignature(this);
    }
}
